Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000890 [1003.1(2013)/Issue7+TC1] Shell and Utilities Objection Error 2014-11-13 15:25 2019-06-10 08:54
Reporter geoffclare View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Closed  
Name Geoff Clare
Organization The Open Group
User Reference
Section 2.7.4 Here-Document
Page Number 2335
Line Number 74224
Interp Status ---
Final Accepted Text See Note: 0002566.
Summary 0000890: Here-document in a command string (sh -c)
Description In section 2.7.4 the description of here-document processing begins:
The redirection operators "<<" and "<<-" both allow redirection of lines contained in a shell input file, known as a "here-document", to the input of a command.

This doesn't cover the use of a here-document in a sh -c '...' command, because the here-document is not in an "input file" in that case. I assume this is unintentional.

Also, 'known as a "here-document"' reads as if it applies to the entire shell input file rather than just the lines being redirected.
Desired Action On Page: 2335 Line: 74224 Section: 2.7.4 Here-Document

Change from:
The redirection operators "<<" and "<<-" both allow redirection of lines contained in a shell input file, known as a "here-document", to the input of a command.

to:
The redirection operators "<<" and "<<-" both allow redirection of lines contained in a shell script or a command string (see the -c option of [xref to sh]) to the input of a command. The redirected lines are known as a "here-document".

Tags tc2-2008
Attached Files

- Relationships

-  Notes
(0002566)
geoffclare (manager)
2015-02-26 09:49

I'm reopening this bug so that we can address the points raised by Stephane Chazelas on the email list about covering "eval" and about the file descriptor not necessarily being opened to a regular file. New proposed changes:

On Page: 2335 Line: 74224 Section: 2.7.4 Here-Document

Change from:
The redirection operators "<<" and "<<-" both allow redirection of lines contained in a shell input file, known as a "here-document", to the input of a command.

to:
The redirection operators "<<" and "<<-" both allow redirection of subsequent lines read by the shell to the input of a command. The redirected lines are known as a "here-document".


On Page: 2335 Line: 74233 Section: 2.7.4 Here-Document

After:
where the optional n represents the file descriptor number. If the number is omitted, the here-document refers to standard input (file descriptor 0).

add a new sentence:
It is unspecified whether the file descriptor is opened as a regular file, a special file, or a pipe. Portable applications cannot rely on the file descriptor being seekable (see [xref to XSH lseek()]).

- Issue History
Date Modified Username Field Change
2014-11-13 15:25 geoffclare New Issue
2014-11-13 15:25 geoffclare Name => Geoff Clare
2014-11-13 15:25 geoffclare Organization => The Open Group
2014-11-13 15:25 geoffclare Section => 2.7.4 Here-Document
2014-11-13 15:25 geoffclare Page Number => 2335
2014-11-13 15:25 geoffclare Line Number => 74224
2014-11-13 15:25 geoffclare Interp Status => ---
2015-02-19 16:38 Don Cragun Status New => Resolved
2015-02-19 16:38 Don Cragun Resolution Open => Accepted
2015-02-19 16:39 Don Cragun Tag Attached: tc2-2008
2015-02-26 09:49 geoffclare Note Added: 0002566
2015-02-26 09:49 geoffclare Status Resolved => Under Review
2015-02-26 09:49 geoffclare Resolution Accepted => Reopened
2015-02-26 16:10 Don Cragun Final Accepted Text => See Note: 0002566.
2015-02-26 16:10 Don Cragun Status Under Review => Resolved
2015-02-26 16:10 Don Cragun Resolution Reopened => Accepted As Marked
2019-06-10 08:54 agadmin Status Resolved => Closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker